Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class GroupImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.GroupImpl

All Implemented Interfaces:
  Localizable, Group, Serializable

    public class GroupImpl

extends WrappedProtegeInstanceImpl
implements Group

See Also:
  Serialized Form

Constructor Summary
`protected` | `GroupImpl(MetaProjectImpl mp, Instance group)`

Method Summary
`void` | `addMember(User member)`
`String` | `getDescription()`
`Set<User>` | `getMembers()`
`String` | `getName()`
`void` | `setDescription(String description)`
`void` | `setMembers(Collection<User> members)`
`void` | `setName(String name)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, equals, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, hashCode, localize, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.Group
`getMetaProject`

Constructor Detail

### GroupImpl

    protected GroupImpl(MetaProjectImpl mp,
                        Instance group)
                 throws OntologyException

Throws:
  `OntologyException`

Method Detail

### getName

    public String getName()
                   throws OntologyException

  Specified by:
    `getName` in interface `Group`
  Throws:
    `OntologyException`

### getMembers

    public Set<User> getMembers()

  Specified by:
    `getMembers` in interface `Group`

### toString

    public String toString()

  Overrides:
    `toString` in class `WrappedProtegeInstanceImpl`

### addMember

    public void addMember(User member)

  Specified by:
    `addMember` in interface `Group`

### setMembers

    public void setMembers(Collection<User> members)

  Specified by:
    `setMembers` in interface `Group`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `Group`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Group`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `Group`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.